For the complete documentation index, see llms.txt. This page is also available as Markdown.

Custom Properties

Custom properties allow you to add custom fields to resources in your workspace. Learn more about custom properties here.

List Custom Properties

get
/api/v1/resource/all_v2/custom_properties/

Get all custom properties in the workspace.

Authorizations
Responses
200

OK

application/json
idstring · uuidRequired
namestringRequired
entity_typesstring[]OptionalDefault: []
value_typestringRequired
get/api/v1/resource/all_v2/custom_properties/
GET /api/v1/resource/all_v2/custom_properties/ HTTP/1.1
Host: api.secoda.co
Accept: */*
200

OK

[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "entity_types": [
      "text"
    ],
    "value_type": "text",
    "integration": {
      "name": "text",
      "type": "text",
      "id": "123e4567-e89b-12d3-a456-426614174000"
    }
  }
]

Create Custom Property

post
/api/v1/resource/all_v2/custom_properties/

Create a new custom property in the workspace.

Authorizations
Body
namestringRequired
entity_typesstring[]OptionalDefault: []
value_typestringRequired
Responses
200

OK

application/json
idstring · uuidRequired
namestringRequired
entity_typesstring[]OptionalDefault: []
value_typestringRequired
post/api/v1/resource/all_v2/custom_properties/
POST /api/v1/resource/all_v2/custom_properties/ HTTP/1.1
Host: api.secoda.co
Content-Type: application/json
Accept: */*
Content-Length: 59

{
  "name": "text",
  "entity_types": [
    "text"
  ],
  "value_type": "text"
}
200

OK

{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "entity_types": [
    "text"
  ],
  "value_type": "text",
  "integration": {
    "name": "text",
    "type": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000"
  }
}

Get Custom Property

get
/api/v1/resource/all_v2/custom_properties/{custom_property_id}/

Get details of a specific custom property.

Authorizations
Path parameters
custom_property_idstringRequired
Responses
200

OK

application/json
idstring · uuidRequired
namestringRequired
entity_typesstring[]OptionalDefault: []
value_typestringRequired
get/api/v1/resource/all_v2/custom_properties/{custom_property_id}/
GET /api/v1/resource/all_v2/custom_properties/{custom_property_id}/ HTTP/1.1
Host: api.secoda.co
Accept: */*
200

OK

{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "entity_types": [
    "text"
  ],
  "value_type": "text",
  "integration": {
    "name": "text",
    "type": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000"
  }
}

Update Custom Property

put
/api/v1/resource/all_v2/custom_properties/{custom_property_id}/

Update an existing custom property.

Authorizations
Path parameters
custom_property_idstringRequired
Body
namestringRequired
entity_typesstring[]OptionalDefault: []
value_typestringRequired
Responses
200

OK

application/json
idstring · uuidRequired
namestringRequired
entity_typesstring[]OptionalDefault: []
value_typestringRequired
put/api/v1/resource/all_v2/custom_properties/{custom_property_id}/
PUT /api/v1/resource/all_v2/custom_properties/{custom_property_id}/ HTTP/1.1
Host: api.secoda.co
Content-Type: application/json
Accept: */*
Content-Length: 59

{
  "name": "text",
  "entity_types": [
    "text"
  ],
  "value_type": "text"
}
200

OK

{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "entity_types": [
    "text"
  ],
  "value_type": "text",
  "integration": {
    "name": "text",
    "type": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000"
  }
}

Delete Custom Property

delete
/api/v1/resource/all_v2/custom_properties/{custom_property_id}/

Delete a custom property.

Authorizations
Path parameters
custom_property_idstringRequired
Responses
204

No Content

No content

delete/api/v1/resource/all_v2/custom_properties/{custom_property_id}/
DELETE /api/v1/resource/all_v2/custom_properties/{custom_property_id}/ HTTP/1.1
Host: api.secoda.co
Accept: */*
204

No Content

No content

Update Entity Custom Property Value

put
/api/v1/resource/all_v2/custom_properties/{custom_property_id}/{entity_id}/

Update the value of a custom property for a specific entity.

Authorizations
Path parameters
custom_property_idstringRequired
entity_idstringRequired
Body
valuestringRequired
Responses
200

OK

application/json
idstring · uuidRequired
put/api/v1/resource/all_v2/custom_properties/{custom_property_id}/{entity_id}/
PUT /api/v1/resource/all_v2/custom_properties/{custom_property_id}/{entity_id}/ HTTP/1.1
Host: api.secoda.co
Content-Type: application/json
Accept: */*
Content-Length: 16

{
  "value": "text"
}
200

OK

{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "properties2": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  }
}

Bulk Update Entity Custom Properties

put
/api/v1/resource/all_v2/bulk_update/custom_properties/

Update custom property values for multiple entities in a single request. To bulk delete custom property values, set their values to an empty string ("").

Authorizations
Body
entity_idsstring[]Required
Responses
200

OK

application/json
put/api/v1/resource/all_v2/bulk_update/custom_properties/
PUT /api/v1/resource/all_v2/bulk_update/custom_properties/ HTTP/1.1
Host: api.secoda.co
Content-Type: application/json
Accept: */*
Content-Length: 71

{
  "entity_ids": [
    "text"
  ],
  "properties": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  }
}
200

OK

{
  "entities": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "properties2": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      }
    }
  ]
}

Last updated

Was this helpful?